Bug 1684665 - Prometheus operator uses 0.15 core steady state on empty cluster
Summary: Prometheus operator uses 0.15 core steady state on empty cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 19:39 UTC by Clayton Coleman
Modified: 2019-06-04 10:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:44:58 UTC

Description Clayton Coleman 2019-03-01 19:39:50 UTC
Prometheus operator reports using ~0.15 core continuously, which is more than prometheus.  Since it's doing nothing, it should be more like 0.01 or lower core.  Probably a hot loop or a busy check.

Comment 5 Junqi Zhao 2019-03-12 00:53:25 UTC
$ oc adm top pod prometheus-operator-7c54f4d9ff-nx7r7 -n openshift-monitoring
NAME                                   CPU(cores)   MEMORY(bytes)   
prometheus-operator-7c54f4d9ff-nx7r7   164m         32Mi        

change back to MODIFIED, will verify it when we get correct images

payload: 4.0.0-0.nightly-2019-03-06-074438

Comment 7 Junqi Zhao 2019-04-04 03:40:56 UTC
Prometheus operator reports using ~0.006 core now
pod_name:container_cpu_usage:sum{pod_name='prometheus-operator-7cc6c6d958-2mhb2',namespace='openshift-monitoring'}
Element	                                                                                                                Value
pod_name:container_cpu_usage:sum{namespace="openshift-monitoring",pod_name="prometheus-operator-7cc6c6d958-2mhb2"}	0.006288314400000285

payload: 4.0.0-0.nightly-2019-04-02-133735

Comment 9 errata-xmlrpc 2019-06-04 10:44:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.